import type { QueryViewModel } from "../../configuration/query.models";

export interface NewsletterViewModel {
  id: number;
  title: string;
  description: string;
  newsletterTitle: string;
  newsletterText: string;
  newsletterSignatur: string;
  isSent: boolean;
  recipientsByQueryId?: number | null;
  recipientsByQuery?: QueryViewModel | null;
}

export interface CreateNewsletterViewModel {
  title: string;
}

export interface SyncNewsletterViewModel {
  id: number;
  title: string;
  description: string;
  newsletterTitle: string;
  newsletterText: string;
  newsletterSignatur: string;
  recipientsByQueryId?: number;
}

export interface SendNewsletterViewModel {
  id: number;
}
